Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.appflow.webflow.servlets.jsp.taglib
Class OptionTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.appflow.webflow.servlets.jsp.taglib.OptionTag

public class OptionTag
extends javax.servlet.jsp.tagext.TagSupport

See Also:
  Serialized Form

Field Summary
`protected WebflowValidatedFormTag` | `formTag`
`protected java.lang.String` | `selected`
`protected boolean` | `selectedBool`
`protected SelectTag` | `selectTag`
`protected java.lang.String` | `style`
`protected ValidatedValues` | `validatedValues`
`protected java.lang.String` | `value`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`OptionTag()`

Method Summary
`protected void` | `addIntoPageContext(java.lang.String name, java.lang.String value)`
`protected void` | `addToValidatedValues(java.lang.String name)`
`int` | `doEndTag()`
`int` | `doStartTag()`
`protected java.lang.String` | `getDefaultSelected()`
`protected WebflowValidatedFormTag` | `getFormTag()`
`protected javax.servlet.http.HttpServletRequest` | `getHttpServletRequest()`
`java.lang.String` | `getSelected()`
`boolean` | `getSelectedBool()`
`protected SelectTag` | `getSelectTag()`
`java.lang.String` | `getStyle()`
`java.lang.String` | `getValue()`
`void` | `release()`
`void` | `setSelected(java.lang.String selected)`
`void` | `setStyle(java.lang.String style)`
`void` | `setValue(java.lang.String value)`
`protected boolean` | `valueInValidatedValues(java.lang.String name)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected java.lang.String value

### style

    protected java.lang.String style

### selected

    protected java.lang.String selected

### selectedBool

    protected boolean selectedBool

### validatedValues

    protected ValidatedValues validatedValues

### selectTag

    protected SelectTag selectTag

### formTag

    protected WebflowValidatedFormTag formTag

Constructor Detail

### OptionTag

    public OptionTag()

Method Detail

### release

    public void release()

  Overrides:
    release in class javax.servlet.jsp.tagext.TagSupport

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Overrides:
    doEndTag in class javax.servlet.jsp.tagext.TagSupport

### addToValidatedValues

    protected void addToValidatedValues(java.lang.String name)
                                 throws javax.servlet.jsp.JspException

### valueInValidatedValues

    protected boolean valueInValidatedValues(java.lang.String name)
                                      throws javax.servlet.jsp.JspException

### addIntoPageContext

    protected void addIntoPageContext(java.lang.String name,
                                      java.lang.String value)

### getFormTag

    protected WebflowValidatedFormTag getFormTag()
                                          throws javax.servlet.jsp.JspException

### getSelectTag

    protected SelectTag getSelectTag()
                              throws javax.servlet.jsp.JspException

### getSelectedBool

    public boolean getSelectedBool()

### getSelected

    public java.lang.String getSelected()

### setSelected

    public void setSelected(java.lang.String selected)

### getDefaultSelected

    protected java.lang.String getDefaultSelected()

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String value)

### getStyle

    public java.lang.String getStyle()

### setStyle

    public void setStyle(java.lang.String style)

### getHttpServletRequest

    protected javax.servlet.http.HttpServletRequest getHttpServletRequest()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved